/*
 * @file TArtDecoderSIS3800.cc
 * modified by T. Isobe
 */
#include "TArtDecoderSIS3800.h"
#include "TArtDecoderFactory.h"
#include "TArtCore.h"
#include <stdio.h>
TArtDecoderSIS3800::TArtDecoderSIS3800()
   : TArtDecoder(kID) {
}

TArtDecoderSIS3800::~TArtDecoderSIS3800()
{
}

TArtDecoder* TArtDecoderSIS3800::Instance()
{
   static TArtDecoderSIS3800 instance;
   return &instance;
}

int TArtDecoderSIS3800::Decode(unsigned char* &buf, const unsigned int& size,
                               TArtRawSegmentObject* rawseg)
{

   unsigned int *evtdata = (unsigned int*) buf;
   unsigned int evtsize = size/sizeof(unsigned int);
   int igeo, ich, idata;

   for (int i=0; i<evtsize; i++) {
//      ich = evtdata[i]&0xf;
      ich = i;
      igeo = 0;
      idata = evtdata[i];
      TArtRawDataObject *rdata = new TArtRawDataObject(igeo,ich,idata);
      rawseg->PutData(rdata);
   }

   return 0;

}
