#ifndef _TARTBEAMPARA_H_
#define _TARTBEAMPARA_H_

#include <TROOT.h>

#include "TArtRIPSPara.h"
#include "TArtTOFPara.h"

class TArtBeamPara : public TNamed {
  
 public:
  TArtBeamPara();
  TArtBeamPara(Int_t i, TArtRIPSPara* fr, TArtRIPSPara *br, TArtTOFPara *t, char *dename);
  TArtBeamPara(Int_t i, TArtRIPSPara* r, TArtTOFPara *t, char *dename);
  ~TArtBeamPara();

  Int_t GetID() const { return id; }
  Int_t GetNumRIPS();
  TArtRIPSPara * GetForwardRIPS() { return forward_rips; }
  TArtRIPSPara * GetBackwardRIPS() { return backward_rips; }
  TArtTOFPara  * GetTOF() { return tof; }
  TString      * GetDeltaEName() { return &deltae_name; }

 private:
  Int_t     id;
  Int_t     nrips;
  TArtRIPSPara * forward_rips;
  TArtRIPSPara * backward_rips;
  TArtTOFPara * tof;
  TString      deltae_name;

  ClassDef(TArtBeamPara,1);

};

#endif
